package digital.laboratory.platform.reagent.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PeriodVerificationPlanDTO {
    private String deviationAndUncertainty;
    private String inspectorId;
    private Integer plannedVerificationCycle;
    private String referenceMaterialId;
    private String referenceMaterialNumber;
    @JsonFormat(pattern =  "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime scheduledVerificationDate;
    private String standardValueAndPurity;
    private String verificationBasis;
    private String checkScheduleId;



}
