package digital.laboratory.platform.reagent.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class WarehousingRecordFormDTO {

    private String batchNumber;

    @JsonFormat(pattern =  "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dateOfProduction;

    @JsonFormat(pattern =  "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime dateOfReceipt;

    @JsonFormat(pattern =  "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime expirationDate;

    private Integer quantity;

    private String supplierId;
    private Integer warningValue;
    private String warehousingBatchListId;
    private String warehousingContentId;
    private String latticeId;
    private String remarks;



}
