package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.reagent.entity.ApplicationForUse;
import digital.laboratory.platform.reagent.vo.ApplicationForUseVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (试剂耗材领用申请表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材领用申请表) Mapper 类
 */
@Mapper
public interface ApplicationForUseMapper extends BaseMapper<ApplicationForUse> {

    ApplicationForUseVO getApplicationForUseVO(String applicationForUseId);

    IPage<ApplicationForUseVO> getApplicationForUseVOPage(IPage<ApplicationForUse> page, QueryWrapper<ApplicationForUse> qw);

    List<ApplicationForUseVO> getApplicationForUseVOList (QueryWrapper<ApplicationForUse> qw);

}
