package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.reagent.entity.CheckContent;
import digital.laboratory.platform.reagent.vo.CheckContentVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (检查内容) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (检查内容) Mapper 类
 */
@Mapper
public interface CheckContentMapper extends BaseMapper<CheckContent> {

    List<CheckContentVO> getCheckContentVOList (String complianceCheckId);

}
