package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.entity.CheckContent;
import digital.laboratory.platform.reagent.vo.CheckContentVO;

import java.util.List;

/**
 * (检查内容)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (检查内容) 服务类
 */
public interface CheckContentService extends IService<CheckContent> {

    List<CheckContentVO> getCheckContentVOList (String complianceCheckId);


}
