package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.dto.OutgoingContentsDTO;
import digital.laboratory.platform.reagent.entity.DeliveryRegistrationForm;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * (试剂耗材出库登记表)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (试剂耗材出库登记表) 服务类
 */
public interface DeliveryRegistrationFormService extends IService<DeliveryRegistrationForm> {

    //创建出库任务
    @Transactional
    DeliveryRegistrationForm addFrom(String applicationForUseId);

    DeliveryRegistrationForm commitForm(List<OutgoingContentsDTO> outgoingContentsDTOS, DLPUser dlpUser);
}
