package digital.laboratory.platform.reagent.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.reagent.entity.CheckContent;
import digital.laboratory.platform.reagent.mapper.CheckContentMapper;
import digital.laboratory.platform.reagent.service.CheckContentService;
import digital.laboratory.platform.reagent.vo.CheckContentVO;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * (检查内容)服务实现类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (检查内容) 服务实现类
 */
@Service
public class CheckContentServiceImpl extends ServiceImpl<CheckContentMapper, CheckContent> implements CheckContentService {

    @Override
    public List<CheckContentVO> getCheckContentVOList(String complianceCheckId) {
        List<CheckContentVO> checkContentVOList = baseMapper.getCheckContentVOList(complianceCheckId);
        return checkContentVOList;
    }
}
