package digital.laboratory.platform.reagent.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class AcceptanceRecordFormDTO {
    private String followUpTreatment;
    private String acceptanceRecordFormId;
    private boolean theSameBrandAndModel;
    private String bam_remarks;
    private boolean consistentQuantity;
    private String cq_remarks;
    private boolean packingInGoodCondition;
    private String pcg_remarks;
    private boolean validityPeriod;
    private String vp_remarks;
    private boolean deliveryCycle;
    private String dc_remarks;
    private String acceptanceConclusion;
    private String nonconformingItem;
}
