package digital.laboratory.platform.reagent.dto;

import digital.laboratory.platform.reagent.entity.ProvideServicesOrSupplies;
import digital.laboratory.platform.reagent.mapper.ProvideServicesOrSuppliesMapper;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDate;
import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class
EvaluationFormDTO {
    private String contactNumber;
    private String contactPerson;
    private String serviceProviderAndSupplierId;
    private String evaluationFormId;
    private String supplierBusinessLicense;
    private String supplierPassesQualityAssuranceSystem;
    private String supplierProductCertification;
    private String checkAndCalibrateEfficiencyOfSupplies;
    private String overallSupplierServiceSatisfaction;
    private String supplierAttitude;
    private String supplierEquipmentAndFacilities;
    private String supplierTechnologyAndManagementCapability;
    private String whetherTheSupplierDeliversOnTime;
    private String supplierInformationId;
    private String commentsFromPrimary;


}
