package digital.laboratory.platform.reagent.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
@Data
@NoArgsConstructor
@AllArgsConstructor
public class StandardMaterialApprovalFormDTO {

    private String agentName;
    private String applicantId;
    private String applicantName;
    private String batchNumber;
    private String fixedResult;
    private String manufacturerId;
    private String referenceMaterialNumber;
    private String referenceMaterialName;
    private LocalDateTime purchaseTime;
    private Integer quantity;
    private String reasonForApplication;
    private String referenceMaterialId;
    private String remarks;
    private String specification;
    private String standardMaterialApprovalFormId;


}
