package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.reagent.entity.EvaluationForm;
import digital.laboratory.platform.reagent.vo.EvaluationFormVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (服务商/供应商评价表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (服务商/供应商评价表) Mapper 类
 */
@Mapper
public interface EvaluationFormMapper extends BaseMapper<EvaluationForm> {

    EvaluationFormVO getEvaluationForm(String evaluationFormId);

}
