package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.common.mybatis.security.service.DLPUser;
import digital.laboratory.platform.reagent.entity.StandardMaterialApplication;
import digital.laboratory.platform.reagent.vo.StandardMaterialApplicationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (标准物质领用/归还登记表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准物质领用/归还登记表) Mapper 类
 */
@Mapper
public interface StandardMaterialApplicationMapper extends BaseMapper<StandardMaterialApplication> {

    IPage<StandardMaterialApplicationVO> getStandardMaterialApplicationVOPage (IPage<StandardMaterialApplication> page , QueryWrapper<StandardMaterialApplication> qw);

    IPage<StandardMaterialApplicationVO> getStandardMaterialApplicationVOList (IPage<StandardMaterialApplication> page , QueryWrapper<StandardMaterialApplication> qw);


}
