package digital.laboratory.platform.reagent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.reagent.entity.StandardSolutionCurve;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * (标准工作曲线溶液配置记录表) Mapper 接口
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (标准工作曲线溶液配置记录表) Mapper 类
 */
@Mapper
public interface StandardSolutionCurveMapper extends BaseMapper<StandardSolutionCurve> {

}
