package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.dto.PurchaseListDTO;
import digital.laboratory.platform.reagent.entity.PurchaseList;
import digital.laboratory.platform.reagent.vo.PurchaseListVO;

import java.util.List;

/**
 * (采购清单)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (采购清单) 服务类
 */
public interface PurchaseListService extends IService<PurchaseList> {

    //
    PurchaseListVO getPurchaseList(String purchaseListId);

    //
    PurchaseList addListById(List<PurchaseListDTO> purchaseListDTOList, PurchaseList purchaseList);
}
