package digital.laboratory.platform.reagent.service;

import com.baomidou.mybatisplus.extension.service.IService;
import digital.laboratory.platform.reagent.dto.SupplierInformationDTO;
import digital.laboratory.platform.reagent.entity.SupplierInformation;

/**
 * (服务商/供应商信息)服务类
 *
 * @author Zhang Xiaolong created at  2023-03-10
 * @describe (服务商/供应商信息) 服务类
 */
public interface SupplierInformationService extends IService<SupplierInformation> {

    Boolean addInfoById(SupplierInformationDTO supplierInformationDTO,SupplierInformation supplierInformation);

    SupplierInformation editInfoById(SupplierInformationDTO supplierInformationDTO);
}
