package digital.laboratory.platform.reagent.vo;

import digital.laboratory.platform.reagent.entity.CatalogueDetails;
import digital.laboratory.platform.reagent.entity.PurchaseCatalogue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ApiModel(value = "采购目录VO")
public class PurchaseCatalogueVO extends PurchaseCatalogue {
    @ApiModelProperty(value="一级审核人名称")

    private String primaryAuditorName;
    @ApiModelProperty(value="二级审核人名称")

    private String secondaryAuditorName;

    private List<CatalogueDetails> catalogueDetailsListList;
    @ApiModelProperty(value="部门名称")

    private String orgName;
    @ApiModelProperty(value="创建人名称")

    private String createName;
    @ApiModelProperty(value="总数量")

    private Integer quantity;
}
